Bug 32049 - InvalidOperationException on DateTime(and 2) columns
Summary: InvalidOperationException on DateTime(and 2) columns
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Data (show other bugs)
Version: 4.0.0
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-07-16 17:57 UTC by Burak Tamtürk
Modified: 2018-02-22 22:32 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Burak Tamtürk 2015-07-16 17:57:54 UTC
Hello,

I am using EF 6 in my project. I have a table in sql server 2012 database and the table has DateTime2 columns.

I am defining the model like

public class kullanicilar {
        ...

        public DateTime eklenme_tarihi { get; set; }

        public DateTime? guncellenme_tarihi { get; set; }
}

However when querying data on the table, I get "InvalidOperationException: The 'eklenme_tarihi' property on 'kullanicilar' could not be set to a 'System.String' value. You must set this property to a non-null value of type 'System.DateTime'." However I am sure that eklenme_tarihi has DateTime2 definition on the table, and the same code works great on Windows.

Thanks,
Burak
Comment 1 Marek Safar 2018-02-22 22:32:38 UTC
Mono 5.10 has significantly improved System.Data implementation which should resolve this issue. If you can still reproduce it please reopen the issue.